module.exports = {
    name: 'mg_detection',
    lookup: (req, res, options) => {
        let language = 'de';

        if (req.hostname === "metager.org") {
            language = 'en';
        }

        let localePathMatches = req.path.match(/^\/(en|de)(\-[a-zA-Z]{2})?/);
        if (localePathMatches) {
            language = localePathMatches[1];
        }

        if (language !== "en" && req.path.match(/^\/(ie|uk)/)) {
            language = "en";
        }
        return language;
    },
    cacheUserLanguage: (req, res, lng, options) => {
        // options -> are passed in options
        // lng -> current language, will be called after init and on changeLanguage
        // store it
    }
}